LinkedIn

Integrate your application with the LinkedIn API

🚀 Quickstart

Connect to LinkedIn with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> LinkedIn.

Authorize LinkedIn

Go to Connections -> Add Test Connection -> Authorize, then log in to LinkedIn. Later, you'll let your users do the same directly from your app.

Call the LinkedIn API

Let's make your first request to the LinkedIn API (fetch the current member's profile). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v2/userinfo" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 LinkedIn Integration Guides

Tenklo maintained guides for common use cases.

Official docs: LinkedIn API documentation

🧩 Pre-built syncs & actions for LinkedIn

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

messages

Function nameDescriptionTypeSource code
messagesThis sync captures all LinkedIn messages for a Linkedin member for archiving purposesSync🔗 Github

Others

Function nameDescriptionTypeSource code
postCreate a linkedin post with an optional videoAction🔗 Github
create-commentCreate a comment on a LinkedIn post or comment thread.Action🔗 Github
create-likeLike a LinkedIn post or comment as a person or organization.Action🔗 Github
create-postPublish an organic LinkedIn post for a member or organization.Action🔗 Github
delete-commentDelete a LinkedIn comment by target URN and comment ID.Action🔗 Github
delete-likeRemove a LinkedIn like from a post or comment.Action🔗 Github
delete-postDelete a LinkedIn post by post URNAction🔗 Github
get-current-member-profileRetrieve the authenticated member profile.Action🔗 Github
list-post-likesList reactions on a LinkedIn post or comment thread. Returns all reaction types (LIKE, PRAISE, EMPATHY, APPRECIATION, etc.).Action🔗 Github
update-postUpdate editable fields on a LinkedIn post.Action🔗 Github

On this page